package net.northking.cctp.scriptcase.dto.caseDataSet;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class AtuPlanScriptSaveDto {

    @ApiModelProperty("计划id")
    private String planId;

    @ApiModelProperty("系统id")
    private String proId;

    @ApiModelProperty("勾选的脚本")
    private List<String> selectList;

    @ApiModelProperty("全选的节点")
    private List<String> pathList;

    @ApiModelProperty("不勾选的脚本")
    private List<String> unSelectList;

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getProId() {
        return proId;
    }

    public void setProId(String proId) {
        this.proId = proId;
    }

    public List<String> getSelectList() {
        return selectList;
    }

    public void setSelectList(List<String> selectList) {
        this.selectList = selectList;
    }

    public List<String> getPathList() {
        return pathList;
    }

    public void setPathList(List<String> pathList) {
        this.pathList = pathList;
    }

    public List<String> getUnSelectList() {
        return unSelectList;
    }

    public void setUnSelectList(List<String> unSelectList) {
        this.unSelectList = unSelectList;
    }
}
